import { createApp } from 'vue';
import 'virtual:windi-base.css';
import 'virtual:windi-components.css';
import './style.css';
import 'virtual:windi-utilities.css';
// import "/@/assets/theme.editor.scss";
import { setupStore } from '/@/store';
import App from './App.vue';
import registerComponent from '/@/components/registerComponent';

// import Components from "./global_components";

async function bootstrap() {
  const app = createApp(App);

  // Configure store
  setupStore(app);
  app.use(registerComponent);

  app.mount('#app');
}

bootstrap();
